/*
 Theme Name:   Woodmart Child
 Description:  Woodmart Child Theme
 Author:       XTemos
 Author URI:   http://xtemos.com
 Template:     woodmart
 Version:      1.0.0
 Text Domain:  woodmart
*/
/***
 * 
 * Special Moments - Dias s/ IVA
 * Hide discount on sale badge on the entire site, except product page
 * 
 * ***/
span.onsale.product-label {
    /*display: none;  none - to hide badge OR inherit to display it */
}
/* Hide Author name */
.entry-meta.wd-entry-meta li.meta-author {
    display: none;
}



/*************
Index
1. Custom Product Info Popups
2. Wishlist Icon Product Page
3. Custom link text to open Popup with informations
4. Botão adicionar símbolos gravação personalizada 
5. Badges Página Categoria de Produto
6. Wishlist Button - Product Thumbnails
7. Mini-cart - Only Cross-selling
*************/

.custom-additional_informations-footer p {
    margin-bottom: 8px;
}
/* Hide Input Fiels in checkout when "Recolha em Loja" - connected with php function in Child Theme */
.hide_pickup {
    display: none !important;
}

/*************
	Custom Product Info Popups:
	- Guia de Tamanhos
	- O que inclui o pack oferta?
	- Envios e tempos de entrega
	- Métodos de pagamento
	- 60 dias para trocas e devoluções
	- 3 anos de garantia
**************/
/* Custom height for Popups */
.custom-height_modal-popup .dialog-message.dialog-lightbox-message {
	max-height: 85vh !important;
}
@media only screen and (max-width:767px) {
	.custom-height_modal-popup .dialog-message.dialog-lightbox-message {
		height: 85vh;
		max-height: 85vh !important;
	}
}
/* Custom Close Icon for Popup  */
@media only screen and (min-width:768px) {
	.custom-close_icon-popup a.dialog-close-button.dialog-lightbox-close-button {
		right:50px;
		top:30px;
	}
}
@media only screen and (max-width:767px) {
	.custom-close_icon-popup a.dialog-close-button.dialog-lightbox-close-button {
		left:20px;
		top:30px;
	}
}
.custom-close_icon-popup i.eicon-close {
    display: flex;
    align-items: center;
}
.custom-close_icon-popup i.eicon-close::before {
	font-size:20px;
}
.custom-close_icon-popup i.eicon-close::after {
    content: 'Fechar';
    font-family: 'Inter', 'sans-serif';
    font-size: 16px;
    margin-left: 5px;
}
/* Custom Overlay for Popup - Gradient top and bottom */
.dialog-widget-content.dialog-lightbox-widget-content.animated::before,
.dialog-widget-content.dialog-lightbox-widget-content.animated::after {
    content:'';
	position: absolute;
    width: calc(100% - 18px); /* Allows the scrollbar to be visible */
    z-index: 9999;
    pointer-events: none;
    left: 0;
	border-radius:5px;
}
.dialog-widget-content.dialog-lightbox-widget-content.animated::before {
    background: linear-gradient(0deg, transparent 0%, #ffffff 48% 100%);
    height: 100px;
    top: 0;
}
.dialog-widget-content.dialog-lightbox-widget-content.animated::after {
    background: linear-gradient(180deg, transparent 0%, #ffffff);
    height: 50px;
    bottom: 0px;
}
/*************
 * 
 *	END Custom Product Info Popups
 *
 **************/


/*************
 * 
 * Wishlist Icon Product Page
 * 
 *************/
.product-page-wishlist-icon .elementor-widget-container {
    width: 40px !important;
    height: 40px !important;
    display: flex;
    justify-content: center;
    align-items: center;
}
.product-page-wishlist-icon .wd-wishlist-btn {
    display: flex;
    justify-content: center;
}
.product-page-wishlist-icon .wd-wishlist-btn a {
	width: 40px !important;
    height: 40px !important;
}
.product-page-wishlist-icon .wd-action-btn.wd-style-icon>a:before {
	margin-top:3px;
}
/*************
 * 
 * END Wishlist Icon Product Page
 * 
 *************/

/*************
 * 
 * Custom link text to open Popup with informations
 *  - Guia de tamanhos
 *  - O que personalizar?
 *  - O que inclui o Pack Oferta?
 * 
 *************/
a.info-text-link_terms,
.info-text-link_terms{
	text-decoration:underline;
	color:#616161;
}
@media only screen and (min-width:768px) {
	a.info-text-link_terms,
	.info-text-link_terms {
		font-size: 13px !important;	
	}
}
@media only screen and (max-width:767px) {
	a.info-text-link_terms,
	.info-text-link_terms {
		font-size: 12px !important;
	}	
}
/*************
 * 
 * END Custom link text to open Popup with informations
 * 
 *************/

/*************
 * 
 * Badges Página Categoria de Produto
 * 
 *************/
.product-labels.labels-rectangular {
    margin-left: 5px;
	gap:5px;
}
.products span.onsale.product-label {
    padding: 5px 5px !important;
    border-radius: 4px;
    min-width: auto;
}
span.attribute-label.product-label.label-term-mais-vendido.label-attribute-pa_badges,
span.attribute-label.product-label.label-term-venda-flash.label-attribute-pa_badges,
span.attribute-label.product-label.label-term-dias-s-iva.label-attribute-pa_badges,
span.attribute-label.product-label.label-term-novidade.label-attribute-pa_badges, 
span.attribute-label.product-label.label-term-black-days.label-attribute-pa_badges {
    border-radius: 4px;
    padding: 2px 4px;
    font-size: 12px;
    line-height: normal;
    text-transform: none;
	white-space: nowrap;
}
span.attribute-label.product-label.label-term-mais-vendido.label-attribute-pa_badges {
    background: #181818;
	color: #fff !important;
}
span.attribute-label.product-label.label-term-venda-flash.label-attribute-pa_badges {
    background:var( --e-global-color-2e03825 );
}

span.attribute-label.product-label.label-term-dias-s-iva.label-attribute-pa_badges,
span.attribute-label.product-label.label-term-novidade.label-attribute-pa_badges {
	/*background: #83d6f2;*/
	background: #232323;
	color: #fff !important;
}
span.attribute-label.product-label.label-term-black-days.label-attribute-pa_badges {
	background: #239fc6;
	color: #fff !important;
}

/*************
 * 
 * END Badges Página Categoria de Produto
 * 
 *************/


/*************
 * 
 * 6. Wishlist Button - Product Thumbnails
 * 
 **************/
.product-grid-item .wd-wishlist-btn.wd-action-btn.wd-style-icon.wd-wishlist-icon a {
    background: #fff;
    border-radius: 50px;
    height: 32px;
    width: 32px;
    right: 5px;
    top: 10px;
	font-size: 18px;
}
.product-grid-item .wd-action-btn.wd-style-icon>a:before {
    font-size: 18px;
}

.wd-action-btn>a.added:before {
    content: "\e92c" !important;
    font-family: 'custom-feather' !important;
	-webkit-text-stroke: 1.5px;
}
.product-grid-item .wd-action-btn>a.added:before {    
	top: 1px;
    position: relative;
    left: 0.5px;
}


/*************
 * 
 * END Wishlist Button - Product Thumbnails
 * 
 **************/


/**************
 * 
 * 7. Mini-cart - Only Cross-selling
 * 21/11/2024
 * 
 *  **************/

/* Hide mini-cart - Products and Subtotal */
 li.woocommerce-mini-cart-item.mini_cart_item,
 p.woocommerce-mini-cart__total.total,
 .wd-header-cart span.wd-tools-text {
    display: none;
}

/* Custom mini-cart Buttons */
@media only screen and (max-width:767px){
	p.woocommerce-mini-cart__buttons.buttons a.button.btn-cart.wc-forward {
    	height: 56px;
	}
	p.woocommerce-mini-cart__buttons.buttons a.button.checkout.wc-forward {
		height: 60px;
	}
}
@media only screen and (min-width:768px){
	p.woocommerce-mini-cart__buttons.buttons a.button.btn-cart.wc-forward,
	p.woocommerce-mini-cart__buttons.buttons a.button.checkout.wc-forward {
    	height: 56px;
	}
}
/**************
 * 
 * END Mini-cart - Only Cross-selling
 * 
 *  **************/